Download files
curl --request GET \
--url http://api.local.stratumn.com:3000/trace/{traceId}/files \
--header 'Authorization: Bearer <token>'import requests
url = "http://api.local.stratumn.com:3000/trace/{traceId}/files"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://api.local.stratumn.com:3000/trace/{traceId}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Trace
Download files
Downloads files from a given trace by id and digests
GET
/
trace
/
{traceId}
/
files
Download files
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The UUID of the trace
Query Parameters
The list of digests of the files to download. All the files need to be in the trace
Response
200
The zip archive containing the files
⌘I